Mailboxes
List mailbox events
Returns mailbox audit records, newest first, filterable by when they happened (`after`, `before`).
Returns mailbox audit records, newest first, filterable by when they happened (after, before). Audit event types: mailbox.created, endpoint.attached, endpoint.detached, message.received, message.released, message.sent, thread.created, action.proposed, action.policy_decided, action.approval_requested, action.approval_resolved, action.accepted, action.executed, action.failed. Thread and draft changes have no dedicated audit event types. Pass nextCursor back as cursor for the next page; it is null on the last page.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^mbx_[0-9a-hjkmnp-tv-z]{16,24}$Query Parameters
limit?string|null
cursor?CursorEncoded|null
after?string|null
before?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/mailboxes/string/events"{ "items": [ { "id": "string", "type": "mailbox.created", "threadId": "string", "actionId": "string", "actor": { "kind": "user", "id": "string", "displayName": "string" }, "payload": {}, "occurredAt": "string" } ], "nextCursor": "string"}